Subject: bug#842: 23.0.60; find-file prompt is case sensitive on w32

From: "Drew Adams" <[email-masked]>
Date: Sun, 31 Aug 2008 16:16:50 -0700

> >> Try for example
> >>   C-x C-f cha TAB
> >> in emacs/src.
> >> This should be case insensitive on w32 since the file 
> >> system is case insensitive.
> >>
> >> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
> >>  of 2008-08-29
> >> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> >> configured using `configure --with-gcc (3.4) --no-opt --cflags
> >> -Ic:/g/include -fno-crossjumping'
> > 
> > I don't see that. emacs -Q with:
> > 
> > In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
> >  of 2008-08-29 on LENNART-69DE564
> > Windowing system distributor `Microsoft Corp.', version 5.1.2600
> > configured using `configure --with-gcc (3.4) --no-opt 
> --cflags -Ic:/g/include
> > -fno-crossjumping'
> > 
> > I dont' have a src directory, but I tried it in a directory 
> > with uppercase, lowercase, and mixed case files, and C-x C-f
> > is case insensitive.
> 
> Strange, this should be the same binaries that I am using ...

Dunno - your lines above don't include "on LENNART-69DE564"; mine do.

> Is it perhaps the first character that matters? I am trying 
> in emacs/src with  C-x C-f c TAB and there are some files
> beginning with "c" and some with "C".
> But there are more problems of this kind. Trying in emacs/lisp
>   C-x C-f CVS TAB
> I get [complete but not unique] and CVS/ is shown as only alternative.

For me it is completed to c:/.../lisp/cvs-status.el, with no minibuffer message.

Do you have another file (in the dir) that starts with "cvs"?

> And when I use C-x C-f CV TAB I get cvs-status.el.

Same here - same as above, exactly.

> What do you get in these cases?
> I believe this used to work for me.

Are you sure you're using -Q?